Bug 14785 - Effect of display:none on animations
Effect of display:none on animations
Status: RESOLVED FIXED
Product: CSS
Classification: Unclassified
Component: Animations
unspecified
PC All
: P2 normal
: ---
Assigned To: Dean Jackson
This bug has no owner yet - up for the taking
[easy]
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-11 19:25 UTC by Sylvain Galineau
Modified: 2012-12-18 01:59 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Simon Fraser 2012-02-08 14:03:41 UTC
Was resolved at TPAC:
<http://lists.w3.org/Archives/Public/www-style/2011Nov/0709.html>
Comment 2 Sylvain Galineau 2012-03-09 20:39:07 UTC
While we have agreed on the effect of setting display to none, I do not recall we ever explicitly discussed what happens for animations when display goes from none to a non-none value. For animations, I assume this starts the animations specified for the element.
Comment 3 Simon Fraser 2012-03-09 21:12:26 UTC
Yes, I think it does.
Comment 4 Sylvain Galineau 2012-12-18 01:59:35 UTC
Fixed at the end of '2. Animations'